<?
/*
ziumsoft 2013. 09
*/
include_once("./_common.php");
include_once("./config.php");

//-- $latest_skin_path, $table_name, $reloadtime(초), $firstload 1:첫 실행, 0:첫 실행 아님, $boardlist:적용한 보드 목록, $n:배열 번호
$new_reply_alimi	= 0;
$clickload			= 1;
$code_id			= $member[mb_id];

//-- 회원의 반응글 정보 불러오기
$rdReply	= sql_fetch("select * from $table_name where db_id='$code_id'");
//-- 배열 삭제
$rd_content	= $rdReply[db_content];
$content	= explode("[@!!@]", $rd_content);
//unset($content[$n]);		//-- 배열 삭제

$str_content	= "";
for($i = 0; $i < count($content); $i++) {
	if($content[$i] && ($i != $n)) $str_content	.= $content[$i] . "[@!!@]";
}
$str_content	= substr($str_content, 0, strlen($str_content)-6);

if($n == "99") $str_content	= "";	//-- 목록 모두 비우기

//-- 새정보 업데이트
sql_query("update $table_name set db_content='$str_content' where db_id='$code_id'");

//-- 읽어오기
$a_new_reply_list	= explode("[@!!@]", $str_content);
$a_new_reply_list	= array_unique($a_new_reply_list);			//-- 배열 중복 값 정리
$overcnt			= count($a_new_reply_list) - 10;
if($overcnt > 0) for($j = 0; $j < $overcnt; $j++) array_pop($a_new_reply_list);

if(count($a_new_reply_list)) {
	$reply_info_list		= array();
	for($i = 0; $i < count($a_new_reply_list); $i++) {
		if($a_new_reply_list[$i]) {
			$temp_reply			= explode("[#!!#]", $a_new_reply_list[$i]);
			$reply_info_list[$i][0]	= $temp_reply[1];		//-- 게시판 이름
			$reply_info_list[$i][1]	= $temp_reply[2];		//-- 글번호
			$reply_info_list[$i][2]	= $temp_reply[3];		//-- 글쓴이
			$reply_info_list[$i][3]	= $temp_reply[4];		//-- 제목
			$reply_info_list[$i][4]	= $temp_reply[5];		//-- 답댓글
			$reply_info_list[$i][5]	= $temp_reply[0];		//-- 날짜
			$reply_info_list[$i][6]	= "<a id=reply_href href='".$g4path."/bbs/board.php?bo_table=".$temp_reply[1]."&wr_id=".$temp_reply[2]."' target='_blank'>";		//-- 게시판 링크
		}
	}

	if(ZM_IS_MOBILE)
		include_once("mo.new.reply.skin.php");		//-- 모바일 알리미 스킨
	else
		include_once("pc.new.reply.skin.php");		//-- PC 알리미 스킨
} else {
	echo "new_reply_none";					//-- 새 반응 글 없음
}
?>